<template>
  <b-navbar toggleable="lg" type="dark" variant="dark">
    <b-navbar-brand href="/">
      cd ~/<span class="blinking">_</span>
    </b-navbar-brand>

    <b-navbar-toggle target="nav-collapse" />

    <b-collapse id="nav-collapse" is-nav>
      <b-navbar-nav>
        <b-nav-item to="/players">
          {{ $t('player.link') }}
        </b-nav-item>
        <b-nav-item to="/corporations">
          {{ $t('corp.link') }}
        </b-nav-item>
      </b-navbar-nav>
    </b-collapse>

    <!-- <b-navbar-nav right>
      <span class="text-warning">
        {{ $t('migration_broken_data') }}
      </span>
    </b-navbar-nav> -->
  </b-navbar>
</template>

<script>
export default {
  name: 'TheHeader'
}
</script>

<style lang="scss" scoped>
.blinking {
  animation: blinker 1.5s linear infinite;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}
</style>
